PamCut: TofPatternCut Class Reference

# TofPatternCut Class Reference

The Tof-pattern cut. More...

`#include <TofPatternCut.h>`

Inheritance diagram for TofPatternCut:

List of all members.

## Public Member Functions
| TofPatternCut (const char *cutName)
| Constructor.
| ~TofPatternCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The ToF-pattern check.
int | GetNHitPMTsOutsideTrack (PamLevel2 *event, int plane)
| Counts the number of hit PMTs (with tdc signal) outside track.
void | SetStandalone (int yes)
| Set standalone ToF track.
void | SetTrackNumber (int n)
| Set (physical) track number (0,1,...). Default is 0 (the first).
## Private Attributes
bool | _standalone
int | _notrk

## Detailed Description

The Tof-pattern cut.

Requirements:

- not more than 1 hit paddle on S11 S12 S21 S22;
- at least 1 hit paddle on S1 and S2;
- not more than 3 hit PMTs (only TDC hits with tdc<4095) outside track; on S11 and S12;
- if there is a hit paddle, the PMTs (TDC hits) must be associated to the track;
- if no PMTs (TDC hits) are associated to the track, there must be no hit paddles.

Definition at line 25 of file TofPatternCut.h.

## Constructor & Destructor Documentation

TofPatternCut::TofPatternCut | ( | const char * | cutName | ) | `[inline]`

Constructor.

Definition at line 29 of file TofPatternCut.h.

TofPatternCut::~TofPatternCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 33 of file TofPatternCut.h.

## Member Function Documentation

int TofPatternCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The ToF-pattern check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the event pattern matches the required characteristics.

Implements PamCut.

Definition at line 12 of file TofPatternCut.cpp.

References _notrk, _standalone, CUTOK, and GetNHitPMTsOutsideTrack().

int TofPatternCut::GetNHitPMTsOutsideTrack | ( | PamLevel2 * | event,
|  | int | plane |
| ) |  |  |

Counts the number of hit PMTs (with tdc signal) outside track.

Parameters:

  | event | The event to analyze.
  | plane | Plane number (0-5 = S11-S32).

to avoid adc pile-up

Definition at line 182 of file TofPatternCut.cpp.

References _notrk, and _standalone.

Referenced by Check().

void TofPatternCut::SetStandalone | ( | int | yes | ) | `[inline]`

Set standalone ToF track.

Definition at line 51 of file TofPatternCut.h.

References _standalone.

void TofPatternCut::SetTrackNumber | ( | int | n | ) | `[inline]`

Set (physical) track number (0,1,...). Default is 0 (the first).

Definition at line 59 of file TofPatternCut.h.

References _notrk.

## Member Data Documentation

int TofPatternCut::_notrk`[private]`

Definition at line 67 of file TofPatternCut.h.

Referenced by Check(), GetNHitPMTsOutsideTrack(), and SetTrackNumber().

bool TofPatternCut::_standalone`[private]`

Definition at line 66 of file TofPatternCut.h.

Referenced by Check(), GetNHitPMTsOutsideTrack(), and SetStandalone().

The documentation for this class was generated from the following files:

- TofCuts/TofPatternCut/TofPatternCut.h
- TofCuts/TofPatternCut/TofPatternCut.cpp